package assignment2.cars.tires;

import java.util.GregorianCalendar;

public class Tire {

	private String name;
	
	private String dimensions;
	
	private boolean winterTire;
	
	private GregorianCalendar dateMade;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		if ( name != null && name.isEmpty() == false )
			this.name = name;
		else System.out.println("Error!");
	}

	public String getDimensions() {
		return dimensions;
	}

	public void setDimensions(String dimensions) {
		if ( dimensions != null && dimensions.length() >= 9 )
			this.dimensions = dimensions;
		else System.out.println("Error!");
	}

	public boolean isWinterTire() {
		return winterTire;
	}

	public void setWinterTire(boolean winterTire) {
		this.winterTire = winterTire;
	}

	public GregorianCalendar getDateMade() {
		return dateMade;
	}

	public void setDateMade(GregorianCalendar dateMade) {
		if ( dateMade != null)
			this.dateMade = dateMade;
		else System.out.println("Error!");
	}
	
	@Override
//	public String toString() {
//		StringBuffer sb = new StringBuffer();
//		sb.append("Tyre: " + getName());
//		sb.append("; dimensions: " + getDimensions());
//		if ( isWinterTire() )
//			sb.append("; this is winter tire;");
//		else sb.append("; not suitable for winter driving;");
//		sb.append("date made: " + getDateMade().getTime());
//		return sb.toString();
//	}
	
	public String toString() {

		if ( isWinterTire() )
			return "Tyre: " + getName() + "; dimensions: " + getDimensions() +
				"; date made: " + getDateMade().getTime() + "; suitable fo winter driving"; 
		else 
			return "Tyre: " + getName() + "; dimensions: " + getDimensions() +
					"; date made: " + getDateMade().getTime() + "; NOT suitable fo winter driving"; 
	}
	
	
}
